Subject: [alto] ALTO transport discussion thread

From: "Y. Richard Yang" <[email-masked]>
Date: Mon, 28 Feb 2022 23:38:24 -0500

Hi ALTOers,

Several of us (Roland, Kai, me) are working on ALTO transport, and our plan
is to update a relatively complete version by the draft deadline of March 7
(one week from today).

Here is a brief summary of current design points:
- It will be RESTful, as the current design
- It will redesign ALTO SSE functions by introducing update queues so that
(1) the server can organize incremental updates into the queues; (2) the
server can push updates to the client using the queue URI (to be consistent
with HTTP/2 PUSH_PROMISE semantics); and (3) the client can request content.

The main remaining issue that we will finalize is how to allow clients to
rejoin, and we will finalize the initial design soon. All are welcome to
join to work together.

Thanks,
Richard and Roland